SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Multimedia)  >   Adobe Flash Player Vendors:   Adobe Systems Incorporated
Adobe Flash Player Multiple Bugs Let Remote Users Bypass Same-Origin Restrictions, Obtain Potentially Sensitive Information, and Execute Arbitrary Code
SecurityTracker Alert ID:  1033797
SecurityTracker URL:  http://securitytracker.com/id/1033797
CVE Reference:   CVE-2015-5569, CVE-2015-7625, CVE-2015-7626, CVE-2015-7627, CVE-2015-7628, CVE-2015-7629, CVE-2015-7630, CVE-2015-7631, CVE-2015-7632, CVE-2015-7633, CVE-2015-7635, CVE-2015-7636, CVE-2015-7637, CVE-2015-7638, CVE-2015-7639, CVE-2015-7640, CVE-2015-7641, CVE-2015-7642, CVE-2015-7643, CVE-2015-7644   (Links to External Site)
Updated:  Nov 10 2015
Original Entry Date:  Oct 13 2015
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 19.0.0.185 and prior
Description:   Multiple vulnerabilities were reported in Adobe Flash Player. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can bypass security controls on the target system. A remote user can obtain potentially sensitive information on the target system.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target user's system.

Several use-after-free memory errors can cause code execution [CVE-2015-7629, CVE-2015-7631, CVE-2015-7635, CVE-2015-7636, CVE-2015-7637, CVE-2015-7638, CVE-2015-7639, CVE-2015-7640, CVE-2015-7641, CVE-2015-7642, CVE-2015-7643, CVE-2015-7644].

A buffer overflow can cause code execution [CVE-2015-7632].

Several memory corruption errors can cause code execution [CVE-2015-7625, CVE-2015-7626, CVE-2015-7627, CVE-2015-7630, CVE-2015-7633].

A remote user can bypass the same-origin-policy obtain potentially sensitive information [CVE-2015-7628].

An unspecified flaw exists in the Flash broker API [CVE-2015-5569].

Anonymous (via HP's Zero Day Initiative), Dave "dwizzzle" Weston, Jie Zeng of Qihoo 360, Jincheng Liu and Lijun Cheng of the Alibaba Security Research Team, Kai Kang of Tencent's Xuanwu LAB, Nicolas Joly, and Natalie Silvanovich from Google Project Zero, bee13oy, working with the Chromium Vulnerability Rewards Program,
bilou (via HP's Zero Day Initiative), Yuki Chen of Qihoo 360 Vulcan Team, instruder of the Alibaba Security Threat Information Center (independently and via HP's Zero Day Initiative) reported these vulnerabilities.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user can bypass security controls on the target system.

A remote user can obtain potentially sensitive information on the target system.

Solution:   The vendor has issued a fix (18.0.0.252 ESR, 19.0.0.207 for Mac/Windows, 11.2.202.535 for Linux).

The vendor's advisory is available at:

https://helpx.adobe.com/content/help/en/security/products/flash-player/apsb15-25.html

Vendor URL:  helpx.adobe.com/content/help/en/security/products/flash-player/apsb15-25.html (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Linux (Any), UNIX (macOS/OS X), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Oct 13 2015 (Microsoft Issues Fix for Internet Explorer and Microsoft Edge) Adobe Flash Player Multiple Bugs Let Remote Users Bypass Same-Origin Restrictions, Obtain Potentially Sensitive Information, and Execute Arbitrary Code
Microsoft has issued a fix for Adobe Flash Player in Internet Explorer 10 and 11 and Microsoft Edge.
Oct 15 2015 (Red Hat Issues Fix) Adobe Flash Player Multiple Bugs Let Remote Users Bypass Same-Origin Restrictions, Obtain Potentially Sensitive Information, and Execute Arbitrary Code
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Nov 11 2015 (Red Hat Issues Fix) Adobe Flash Player Multiple Bugs Let Remote Users Bypass Same-Origin Restrictions, Obtain Potentially Sensitive Information, and Execute Arbitrary Code
Red Hat has issued a fix for Red Hat Enterprise Linux 5.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC